Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Class RegisterClassEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.jdo.spi.RegisterClassEvent

All Implemented Interfaces:
  java.io.Serializable

public class RegisterClassEvent
extends java.util.EventObject

A `RegisterClassEvent` event gets delivered whenever a persistence-capable class registers itself with the `JDOImplHelper`.

Author:
  Michael Bouschen
See Also:
  Serialized Form

Field Summary
`protected byte[]` | `fieldFlags` The flags of managed fields of the persistence-capable class
`protected java.lang.String[]` | `fieldNames` The names of managed fields of the persistence-capable class
`protected java.lang.Class[]` | `fieldTypes` The types of managed fields of the persistence-capable class
`protected java.lang.Class` | `pcClass` The class object of the registered persistence-capable class
`protected java.lang.Class` | `persistenceCapableSuperclass`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RegisterClassEvent(JDOImplHelper helper, java.lang.Class registeredClass, java.lang.String[] fieldNames, java.lang.Class[] fieldTypes, byte[] fieldFlags, java.lang.Class persistenceCapableSuperclass)` Constructs a new `RegisterClassEvent`.

Method Summary
`byte[]` | `getFieldFlags()` Returns the flags of the managed field of the persistence-capable class.
`java.lang.String[]` | `getFieldNames()` Returns the names of the managed field of the persistence-capable class.
`java.lang.Class[]` | `getFieldTypes()` Returns the types of the managed field of the persistence-capable class.
`java.lang.Class` | `getPersistenceCapableSuperclass()` Returns the class object of the persistence-capable superclass.
`java.lang.Class` | `getRegisteredClass()` Returns the class object of the registered persistence-capable class.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pcClass

    protected java.lang.Class pcClass

  The class object of the registered persistence-capable class

### fieldNames

    protected java.lang.String[] fieldNames

  The names of managed fields of the persistence-capable class

### fieldTypes

    protected java.lang.Class[] fieldTypes

  The types of managed fields of the persistence-capable class

### fieldFlags

    protected byte[] fieldFlags

  The flags of managed fields of the persistence-capable class

### persistenceCapableSuperclass

    protected java.lang.Class persistenceCapableSuperclass

Constructor Detail

### RegisterClassEvent

    public RegisterClassEvent(JDOImplHelper helper,
                              java.lang.Class registeredClass,
                              java.lang.String[] fieldNames,
                              java.lang.Class[] fieldTypes,
                              byte[] fieldFlags,
                              java.lang.Class persistenceCapableSuperclass)

  Constructs a new `RegisterClassEvent`.
  Parameters:
    `helper` - the `JDOImplHelper` instance
    `registeredClass` - the persistence-capable class
    `fieldNames` - the names of the managed fields
    `fieldTypes` - the types of the managed fields
    `fieldFlags` - the flags of the managed fields
    `persistenceCapableSuperclass` - the persistence-capable superclass

Method Detail

### getRegisteredClass

    public java.lang.Class getRegisteredClass()

  Returns the class object of the registered persistence-capable class.
  Returns:
    the persistence-capable class.

### getFieldNames

    public java.lang.String[] getFieldNames()

  Returns the names of the managed field of the persistence-capable class.
  Returns:
    the names of the managed fields

### getFieldTypes

    public java.lang.Class[] getFieldTypes()

  Returns the types of the managed field of the persistence-capable class.
  Returns:
    the types of the managed fields

### getFieldFlags

    public byte[] getFieldFlags()

  Returns the flags of the managed field of the persistence-capable class.
  Returns:
    the flags of the managed fields

### getPersistenceCapableSuperclass

    public java.lang.Class getPersistenceCapableSuperclass()

  Returns the class object of the persistence-capable superclass.
  Returns:
    the persistence-capable superclass.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD